import java.util.ArrayList;

class Game {

	static void fullTournament() throws Exception
	{
		ArrayList<IAgent> al = new ArrayList<IAgent>();

		al.add(new SittingDuck()); // Very simple demo agent
		al.add(new Human()); // Controls the blue agents with the mouse
		al.add(new AggressivePack()); // Demo agent that attacks first
		al.add(new Blitz()); // Demo agent that goes straight for the opponent's flag
		al.add(new Mixed()); // Demo agent that plays a mixture of strategies
		al.add(new PrescientMoron()); // Demo agent that shows how to fork the universe

		al.add(new GammonMichael()); // 2015 Second place
		al.add(new MahlerMichael()); // 2016 Winner
		al.add(new BrandtZach()); // 2017 Winner
		al.add(new ShepherdSabrina()); // 2018 Winner
		al.add(new SolChandramohan()); // 2015 Winner
		al.add(new SabadoVladimir()); // 2018 Honored

		Controller.doTournament(al);
	}

	public static void main(String[] args) throws Exception
	{
		Controller.doBattle(new GammonMichael(), new Mixed());
		//Controller.doBattle(new Human(), new SittingDuck());
		//Controller.doBattle(new BrandtZach(), new SabadoVladimir());
		//Controller.doBattle(new SolChandramohan(), new AggressivePack());
		//Controller.doBattle(new MahlerMichael(), new ShepherdSabrina());
		//fullTournament();
	}
}
